<html><head>
	<title>Javascript</title>
</head>
<body>
<script type="text/javascript" src="./util.js"></script>
<script>
function isTriangulo(a , b ,c ){
	return (a <= b + c) && (b <= a + c) && (c <= a + b) ; 
}
function isEquilatero (x , y, z ){
	return ((x == y) && ( x == z ) && ( y == z)) ; 
}
function isEscaleno(x ,y, z){
	return ((x != y) && ( x != z ) && ( y != z)) ; 
}
function isIsoceles(x ,y, z){
	return (( x == y ) || ( x == z)  || ( y == z));
}
function Classificar(){
		var x = getFloat('txtX') ; 
		var y = getFloat('txtY');
		var z = getFloat('txtZ') ; 
		if (isTriangulo(x,y,z)) {
			if(isEquilatero(x,y,z)){
				imprimir('Resultado','Triangulo Equilatero');
			}else{
				if(isEscaleno(x,y,z)){
					imprimir('Resultado','Triangulo Escaleno');
				}else{
					imprimir('Resultado' , 'Triangulo Isoceles');
				}	
			}
		}else{
			imprimir('Resultado','Nao e um triangulo');
		}
}
</script>
<h2>Classificador de Triangulos</h2>
<label>X:</label> <input type="text" id="txtX" style="width : 60px" /> 
<br />
<br />
<label>Y:</label> <input type="text" id="txtY" style="width : 60px" /> 
<br />
<br />
<label>Z:</label> <input type="text" id="txtZ" style="width : 60px" /> 
<br />
<br />
<input type="button" value="Classificar Triangulo" onclick="Classificar();" />
<p id="resultado"></p>
<br />
</body>
</html>